# ModelAnimationLoop

#### ModelAnimationLoop()
Scene/ModelAnimationLoop.js 14

Determines if and how a glTF animation is looped.

##### See:

- ModelAnimationCollection#add

### Members

#### static constantCesium.ModelAnimationLoop.MIRRORED_REPEAT : Number
Scene/ModelAnimationLoop.js 37

Loop the animation. First, playing it forward, then in reverse, then forward, and so on.

#### static constantCesium.ModelAnimationLoop.NONE : Number
Scene/ModelAnimationLoop.js 21

Play the animation once; do not loop it.

#### static constantCesium.ModelAnimationLoop.REPEAT : Number
Scene/ModelAnimationLoop.js 29

Loop the animation playing it from the start immediately after it stops.